Available Campaigns (Basic authentication)

'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to retrieve all the campaign information. The information that can be retrieved is the CampaignId, Campaign name, Username, Position (whether in a ready state or not), DID, and Campaign type (Inbound, Preview, Chat, IVR, Progressive, and Predictive), etc.

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params

{  
  "userName":"Test"
}

Possible responses

Success response

{
  "message": [
    {
            "UserName": "demo_user",
            "Position": "READY",
            "PerDayRetries": null,
            "NoOfDaysToRetry": null,
            "NoOfTries": null,
            "DynamicDID": null,
            "RetryConditions": null,
            "Campaign": "SpeechYellow.ai_test",
            "CampaignID": 638,
            "FallBackDID": null,
            "FallbackDynamicDID": null,
            "DID": "xxxxx",
            "CampaignType": "InBound"
    },
    {
            "UserName": "demo_user",
            "Position": "RUNNING",
            "PerDayRetries": null,
            "NoOfDaysToRetry": null,
            "NoOfTries": 5,
            "DynamicDID": null,
            "RetryConditions": null,
            "Campaign": "omnichannel",
            "CampaignID": 1369,
            "FallBackDID": null,
            "FallbackDynamicDID": null,
            "DID": "xxxxxx",
            "CampaignType": "Chat"
    }
  ],
  "status": "success"
}

Invalid apikey/username

{
  "status": "false",
  "message": "Invalid User Details",
  "data": null
}
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!